#!/usr/bin/python3
# -*- coding: utf-8 -*-
INIT_GAP = 4
EXTEND_GAP = 1


def create_matrix(lineSize, columnSize):
    return [[0 for i in range(columnSize+1)] for j in range(lineSize+1)]

def create_matrix_with_affine_penalty(lineSize, columnSize):
    matrix = create_matrix(lineSize, columnSize)
    for i in range(1,lineSize+1):
        matrix[i][0] = -(INIT_GAP) - ((i-1) * EXTEND_GAP)
    for j in range(1,columnSize+1):
        matrix[0][j] = -(EXTEND_GAP * (j-1)) - INIT_GAP

    return matrix
